//
// Temperaturmessung mit LM335
// Datei: buch3_kap5_lm335_mittelwert.ino
// Datum: 25.03.15


//Variablen
int tempPin = 0;
float tempC;
float tempCMittel;
float tempCTotal;
int messungen = 10;          // Anzahl der Durchläufe
int MessWarteZeit = 100;     // ms zwischen Durchläufen
int WarteZeit = 5000;        // Intervall für serielle Ausgabe


void setup()
{
  Serial.begin(9600); 
}

void loop()
{
  // Messung aufrufen
  ReadTemp();
  // Ausgabe auf seriellem Port
  Serial.println(tempCMittel);
  // Warten bis zur nächsten Messung
  delay(WarteZeit);                                
}


float ReadTemp()
{
  tempCTotal = 0;
  for(int i = 0;i<messungen;i++)
  {
    tempC = analogRead(tempPin);
    tempC=((5.0 * tempC * 100.0) / 1024) - 273.15;
    tempCTotal = tempCTotal + tempC;
    delay(MessWarteZeit);
  }
  // Mittelwert ermitteln
  tempCMittel = tempCTotal / messungen;
  return(tempCMittel);
}


