//
// Analoge Temperaturanzeige
// Datei: buch3_kap5_lm35_servo.ino
// Datum: 30.01.2010/TB
// Status ok


#include <Servo.h> 

//Variablen
int tempval;
int tempPin = 0;
int servoval;

// Servoobjekt erstellen 
Servo myservo;

void setup()
{
// Servo an Port 9 
myservo.attach(9);
}

void loop()
{
// Temperaturwert des AnalogPorts 0 lesen
// Daten vom LM35
// 0-50 Grad ergeben 0-500 mV = 0-103
tempval = analogRead(tempPin);
// Skalieren des Sollwertes für den Servo
// 103 entspricht 0-180 Grad
// max Temp von 50 Grad (linker Anschlag)
// min Temp von 0 Grad (rechter Anschlag)
servoval = map(tempval, 103, 0, 0, 179);
// Temperaturwert am Servo ausgeben
myservo.write(servoval);
// warten
delay(1000);
}
