// Analoge Temperaturanzeige
// Einlesen von Analogwert, Ausgabe auf Servo
// Datei: buch3_kap6_analog_tempanzeige.ino
// Datum: 07.03.2015/TB

#include <Servo.h> 

//Variablen
int tempval;
int tempPin = 0;
int servoval;

// Servo-Objekt erstellen 
Servo myservo;

void setup()
{
  // Servo an Port 9
  myservo.attach(9);
}

void loop()
{
  // Temperaturwert vom Analogport 0 lesen
  // Daten von LM35
  // 0-50 Grad ergeben 0-500 mV = 0-103
  tempval = analogRead(tempPin);
  // Skalieren des Sollwertes für den Servo
  // 103 entsprechen 180 Grad
  // 103, maximale Temp (linker Anschlag)
  // 0, minimale Temp Grad (rechter Anschlag)
  tempval=50; // Wert für Servoprüfung
  servoval = map(tempval, 103, 0, 5, 175);
  // Temperaturwert am Servo ausgeben
  myservo.write(servoval);
  // warten
  delay(15);
}

