//
// Lesen der Daten aus dem EEPROM
// Datei: buch3_kap6_eeprom_lesen.ino
// Datum: 16.02.2010/TB

#include <EEPROM.h>

int a = 0;
int valEE;
void setup()
{
Serial.begin(9600);
}

void loop()
{
  // Daten lesen aus EEPROM
  valEE = EEPROM.read(a);
  // Ausgabe an serielle Schnittstelle
  Serial.print(a);
  Serial.print(": ");
  Serial.println(valEE);
  // Adresszähler erhöhen
  a = a + 1;
  // Falls Adresse = 512, wieder bei 0 beginnen
  if (a == 512) {
    a = 0;
  }
  delay(500);
}

void ClearEEPROM ()
{
  // ganzes EEPROM durchlaufen
  for (int a=0; a < 512; a++)
  {
    // und Werte auf 0 setzen
    EEPROM.write(a, 0);
  }
}
