//
// Portexpander mit PCF8574
// Datei: buch3_kap5_7seg_ic2expander.ino
// Datum: 05.02.2010/TB

// Status: ok

// Zähler mit 7-Segment-Anzeige
// Ausgabe via I2C-Bus

#include <Wire.h>

// Adresse des I/O-Bausteins
#define expander B00100000

// Bits für Nummern 0-9
//byte ZahlenBitDef[10] = { 63, 6, 91, 79, 102, 109, 124, 7, 127, 103 };
// Invertiert
byte ZahlenBitDefInv[10] = { 192, 249, 164, 176, 153, 146, 131, 248, 128, 152 };

void setup() 
{
  Wire.begin();
}

void loop() 
{
  for (int z = 0; z < 10; z++)  {
  // Bytewert von Ziffer
  int bval=ZahlenBitDefInv[z];
  // Ausgabe von Zahl an I/O
  expanderWrite(ZahlenBitDefInv[z]);
  // warten
  delay(1000);
  }
}

void expanderWrite(byte _data ) {
  Wire.beginTransmission(expander);
  Wire.write(_data);
  Wire.endTransmission();
}

