//
// NTC
// Datei: buch3_kap5_ntc.ino
// Datum: 23.01.2010
// Quelle: 
// http://www.arduino.cc/playground/ComponentLib/Thermistor2
//
    
#include <math.h>

// Widerstandswert des NTCs bei 25 Grad C
int ResValue= 10000;

void setup()
{
 Serial.begin(115200);
}

void loop() {
 Serial.println(int(Thermistor(analogRead(0))));
 delay(100);
}

double Thermistor(int RawADC)
{
 double Temp;
 Temp = log(((10240000/RawADC) - ResValue));
 Temp = 1 / (0.001129148 + (0.000234125 * Temp) + (0.0000000876741 * Temp * Temp * Temp));
 Temp = Temp - 273.15;            // Convert Kelvin to Celcius
 //Temp = (Temp * 9.0)/ 5.0 + 32.0; // Convert Celcius to Fahrenheit
 return Temp;
}

