//
// Ansteuerung eines Servos
// Datei: buch_kap5_servo_standard.pde
// Datum: 30.01.2010/TB
// Status ok

#include <Servo.h> 
 
// Servoobjekt erstellen 
Servo myservo;
 
// Analogpin 0 
int AnalogPin = 0;
// Sollwert des Servos
int val;
 
void setup() 
{ 
  // Servo an Port 9 
  myservo.attach(9);
} 
 
void loop() 
{ 
  // Einlesen des Sollwertes für die Servoposition
  val = analogRead(AnalogPin);
  // Skalieren des Sollwertes für den Servo
  // 0-1023 entsprechen 0-180 Grad
  val = map(val, 0, 1023, 0, 179);
  // Sollwert der Servoposition schreiben
  myservo.write(val);
  // warten
  delay(15);
} 
